Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop.io
Class BufferedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.ByteArrayInputStream
              cascading.tuple.hadoop.io.BufferedInputStream

All Implemented Interfaces:
  Closeable

    public class BufferedInputStream

extends ByteArrayInputStream

Field Summary

Fields inherited from class java.io.ByteArrayInputStream
`buf, count, mark, pos`

Constructor Summary
`BufferedInputStream()`

Method Summary
`void` | `clear()`
`byte[]` | `getBuffer()`
`int` | `getLength()`
`int` | `getPosition()`
`void` | `reset(byte[] input, int start, int length)`

Methods inherited from class java.io.ByteArrayInputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferedInputStream

    public BufferedInputStream()

Method Detail

### reset

    public void reset(byte[] input,
                      int start,
                      int length)

### getBuffer

    public byte[] getBuffer()

### getPosition

    public int getPosition()

### getLength

    public int getLength()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.